Skip to content
Framework Docs

List Directory Files

GET/api/v1/beta/directories/{directory_id}/files

List all files within the specified directory with optional filtering and pagination.

Path ParametersExpand Collapse
directory_id: string
Query ParametersExpand Collapse
display_name: optional string
display_name_contains: optional string
expand: optional array of string

Fields to expand on each directory file.

file_id: optional string
include_deleted: optional boolean
organization_id: optional string
page_size: optional number
page_token: optional string
project_id: optional string
unique_id: optional string
updated_at_on_or_after: optional string

Include items updated at or after this timestamp (inclusive)

formatdate-time
updated_at_on_or_before: optional string

Include items updated at or before this timestamp (inclusive)

formatdate-time
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of object { id, directory_id, display_name, 8 more }

The list of items.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at: optional string

Creation datetime

formatdate-time
deleted_at: optional string

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
download_url: optional PresignedURL { expires_at, url, form_fields }

Schema for a presigned URL.

expires_at: string

The time at which the presigned URL expires

formatdate-time
url: string

A presigned URL for IO operations against a private file

minLength1
formaturi
form_fields: optional map[string]

Form fields for a presigned POST request

file_id: optional string

File ID for the storage location.

metadata: optional map[string or number or boolean or array of string]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
array of string
updated_at: optional string

Update datetime

formatdate-time
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Directory Files

curl https://api.cloud.llamaindex.ai/api/v1/beta/directories/$DIRECTORY_ID/files \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}